#
# spec file for package signon-plugin-oauth2
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           signon-plugin-oauth2
Version:        0.25git.20231124T142245~fab6988
Release:        1.2
Summary:        Oauth2 plugin for the Single Sign On Framework
License:        LGPL-2.0-only
URL:            https://gitlab.com/accounts-sso/signon-plugin-oauth2
Source:         %{name}-%{version}.tar.xz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libsignon-qt6)
BuildRequires:  pkgconfig(signon-plugins)
BuildRequires:  pkgconfig(Qt6Core)
BuildRequires:  pkgconfig(Qt6Network)
BuildRequires:  pkgconfig(Qt6Test)
# Needs QtWebengine
%ifarch x86_64 aarch64 riscv64
Requires:       signon-ui
%endif

%description
This package contains the Oauth2 plugin for the Single Sign On Framework.

%package devel
Summary:        Development files for signon-plugin-oauth2
Requires:       %{name} = %{version}

%description devel
This package contains the development files for the Oauth2 plugin for the Single
Sign On Framework.

%prep
%autosetup -p1

sed -i 's#/lib#/%{_lib}#g' src/signon-oauth2plugin.pc
sed -i 's#lib/#%{_lib}/#' src/src.pro

%build
# Reminder: adding build flavors is not needed for signon plugins
# See signon spec file for details
%qmake6 \
  LIBDIR=%{_libdir} \
  QMAKE_CXXFLAGS+="-Wno-error=deprecated-declarations"

%qmake6_build

%install
%qmake6_install

# Remove examples and tests
rm -r %{buildroot}%{_bindir} %{buildroot}%{_datadir}

%files
%license COPYING
%doc README.md
%dir %{_qt6_libdir}/signon/
%{_qt6_libdir}/signon/liboauth2plugin.so

%files devel
%dir %{_includedir}/signon-plugins/
%{_includedir}/signon-plugins/*.h
%{_qt6_pkgconfigdir}/signon-oauth2plugin.pc

%changelog
* Wed Feb 21 2024 Christophe Marin <christophe@krop.fr>
- Switch to a git snapshot to support building with Qt6
- Update to 0.25git.20231124T142245~fab6988
- Drop patch, change is now handled in the %%prep section
  * 0001_Multilib.patch
* Tue Feb 20 2024 Christophe Marin <christophe@krop.fr>
- Switch to %%autosetup
* Wed May 19 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 0.25
  * OAuth2: try using specialized hostname first, use "Host" as
    fallback only
  * OAuth1: add UserAgent parameter
  * OAuth2: pass token query in request body
  * OAuth2: always try normal authentication if refresh token fails
  * OAuth2: let the client read all extra info from the response
  * Plugin: implement also new AuthPluginInterface2
* Tue Apr  9 2019 Fabian Vogt <fabian@ritter-vogt.de>
- Don't treat use of deprecated declarations as error to fix build
  against Qt 5.13
* Sat Sep  8 2018 fabian@ritter-vogt.de
- Don't install examples and tests
* Fri Nov  3 2017 buschmann23@opensuse.org
- update to version 0.24
  * OAuth2: allow token URL to be on a different host
  * OAuth2: accept replies carrying text/html content type
- update to version 0.23
  * OAuth: propagate network and SSL errors from SignOnUI
  * OAuth2: add an option to disable "state" parameter
  * Base: disconnect from reply on SSL errors
- update to version 0.22
  * OAuth2: add the list of granted permissions to the reply
  * OAuth2: use "state" parameter to check for CSRF
  * Build with QT 5 only
  * OAuth2: Use QUrlQuery to parse callback fragment
  * OAuth2: handle errors occurring when refreshing a token
- update to version 0.21
  * OAuth2: implement a fallback mechanism when parsing replies
  * OAuth 1.0a and 2.0: allow forcing a new token
  * Delay instantiation of QNetworkAccessManager
- updated patches
  * 0001_Multilib.patch
* Sat Jun  4 2016 wbauer@tmo.at
- Conflict with libproxy1-config-kde4, that's the actual name of
  the package, and having it installed makes the plugin crash
  (boo#953175)
* Sat Feb 22 2014 tittiatcoke@gmail.com
- Initial package
